IconChanger Help

The coolest feature of IconChanger is that you can change the icon of a separate file. If you've got tens/hundreds/thousands of mp3 or doc files, assign custom icons to your favorite files.

By default, Windows displays the same icon for all files that have the same file name extension. Using IconChanger, you can assign an individual icon almost to any file. The program can also change the icon of a folder or shortcut. It is possible to assign an icon to all file type, i.e. to all files with the given extension. To change the icon, see Changing icons of objects and file types. You can also change the system icons (Windows uses them to display main items on the Start menu and other miscellaneous objects).

The evaluation version of IconChanger can change no more than 3 icons and the maximum number of icons found is limited to 3000. The registered version of IconChanger can change icons of an unlimited number of objects and types and the maximum number of icons found is not limited.

Also, you can use IconChanger:

  • to search for icons inside files on your computer,
  • to view icons embedded in a file,
  • to show the file with the icon that displays the given object now
  • to save an icon as .ico file and copy an icon image to the clipboard.

Related topics

  • User Interface
  • System requirements

Note

  • The assignment of an icon to a file neither changes the contents of the file nor its properties.


User Interface

IconChanger's window has 2 main panes, 2 additional panels (optional) and the status bar. Click on any part of image below to find out more about it.

Icon pane Object Box Toolbar Status bar Favorite icons

Object box contains the object(s) whose icons will change.
You can launch IconChanger for multiple objects. You should choose (All selected objects) to set/undo icons for all selected objects/types. You can change the icon of each object/type separately.

Icon pane displays the icons within the file selected in the File pane or the results of the icon search. It is the main pane of IconChanger. Choose an icon in the Icon pane and click the Set button to assign this icon for the object. You can delete icon(s) from the Icon pane.

You can add icons to Favorites pane ( lower-right pane). Drag attractive icons from the Icon Pane to the Favorite Icons pane so you can have quick access to them later.

Toolbar, located at the top of IconChanger window, consists of a number of buttons. Click here to learn more about toolbar buttons.

Status bar displays the total count of the icons found and the name of the file containing a selected icon.

You can turn on 2 additional panes: Folder Pane and File Pane. Click the Show/Hide File Pane [image] button on the toolbar if you want to see the File pane. Click the Show/Hide Folder Pane [image] button on the toolbar if you want to see the Folder pane.

File pane Toolbar Object box Folder pane Icon pane Favorte icons Status bar

Folder pane (left pane) displays the folder hierarchy of your file system. A context menu will be shown when you click on a folder with the right mouse button. You can easily start searching in the desired folder by clicking the right mouse button on it and choose [image] [Search] from the context menu.

File pane (top-right pane) displays the files within the current folder, which have passed through the file filter. The files are filtrated depending on the extension and the presence of icons. You can enable or disable the display of folders in the File pane.

Tip

  • The IconChanger main panes are resizable. To change the size of any pane, drag the bar that separates the panes.


System Requirements

  • Software requirements
    IconChanger supports operating systems Windows 98, ME, 2000, XP.
  • Hardware requirements
    Intel Pentium or compatible processor.


Changing Icons

To change the icon of an object or file type:

  1. Choose an object in the Object box if you have selected multiple objects.
  2. In the Icon pane, choose an icon using browsing or searching for icons. You can choose an icon from the Favorite Icons too.
  3. Click the button on the toolbar:
    Set to change the object's icon.
    Undo to return to the object a former icon.
    File Type to customize the file type's icon.

Related Topic

  • Changing System Icons

Notes

  • The evaluation version of IconChanger can change no more than 3 icons. You can register online or offline.
  • Set - In some cases, this function can be inaccessible. It occurs when the other program operates the icon of this object.
    Undo - That button will be disabled if no icon is assigned to the selected object.
    File Type - Icons of all files of the given type will change, except the files, which you have appointed the custom icons. In some cases, this function can be inaccessible. It can occur when you have chosen the object, which is not a file or has no type.
  • The assignment of an icon to a file neither changes contents of the file nor its properties.
  • At any moment, you can cancel all settings of icons, which IconChanger has made.


Changing System Icons

Windows uses a special group of icons called system icons to display Main items on the Start menu and other miscellaneous objects. The default icons displayed for open and closed folders are examples of system icons.

To change a system icon:

  1. In the Icon pane, choose a new icon using browsing or searching for icons. You can choose an icon from the Favorite Icons too.
  2. Click the System [image] button on the toolbar.
  3. Select the item and click the Set button

You can restore the default image for any system icon.

Related Topic

  • Changing Icons of Objects and File Types

Notes

  • The evaluation version of IconChanger can change no more than 2 system icons. You can register online or offline.
  • At any moment, you can cancel all settings of icons, which IconChanger has made.


Undo All Changes

At any time, you can cancel ALL the changes, which IconChanger has ever made.

To undo all the changes, click the Undo ALL Changes [image] button on the toolbar.

Tip

  • You can restore the icon of a separate object or file type. See Changing Icons of Objects and File Types.


Icon Search

IconChanger can search for icons inside files on your computer. The program can search for icons on a disk, or inside a folder including or excluding subfolders.

To search for icons:

  1. Choose a folder or entire drive using SearchBar [image] on the toolbar.
  2. Click the Search [image] button on the toolbar.

In the evaluation version the maximum number of icons found is limited to 3000. In the registered version this number is not limited.

Tips

  • While the search is in progress, the Search button is substituted with Stop. You can stop the search at any time by clicking the Stop [image] button on the toolbar.
  • Drag attractive icons from the Icon Pane to the Favorite Icons pane so you can have quick and easy access to them later.
  • The status bar shows a name of the file containing the selected icon.

Related Topics

  • Search filter
  • Deleting icon(s) from view


Adding to Favorite Icons

Favorite Icons

When you find icons that you like, you can keep track of them, so you can have easy access to them in the future. Click the Show/Hide Favorite Icons [image] button on the toolbar if you don't see theFavorite Icons pane.

To add an icon to Favorites:

  • Drag the icon from the Icon Pane to Favorite Icons Pane or
  • Click the desired icon in the Icon Pane and then click the Favs [image] button on the toolbar

In the evaluation version the maximum number of favorite icons is limited to THREE. In the registered version this number is not limited. You can register online or offline.


Windows Integration

You can adjust the way as IconChanger is built in Windows.

To change the integration mode:

  1. Click the Options [image] button on the toolbar.
  2. Open the Start/Integration tab.

Image in Windows context menu - if you uncheck this box, you will receive the usual item of the context menu without an icon near the text.

You can choose a kind of picture - an icon or a bitmap (Icon in Windows context menu or Bitmap in Windows context menu).


Repair Incorrect Icon Displays

For acceleration of the show of icons Windows stores images in the icon cache. When IconChanger changes icons, it informs Windows that it is necessary to update images.

Sometimes the icon of the object changes, but Windows shows the old icon instead of the former one. To solve this problem IconChanger can rebuild the icon cache on the fly or at all it can remove it. If you have changed the icon but Windows has not changed the image, we advise you to choose Rebuild Icon Cache and if it will not help then choose Remove Icon Cache.

  1. Click [image] Rebuild Icon Cache or [image] Remove Icon Cache (Reboot) on the toolbar.
  2. If you have chosen Rebuild – the icon cache will start reconstructing at once. If you have chosen Remove, you will see the warning message. Choose Yes, and then you should restart your computer. It is possible to make it manually later or at once using IconChanger.


Desktop icons: save and restore the positions

Save And Restore Desktop Icon Positions

When you change the display resolution, the desktop window changes size and the desktop icons can be resorted. To prevent this, you can save the icon positions before you change the resolution and restore them after you return to the previous resolution.
In some cases, Windows "forgets" the desktop icon positions after rebooting. So, we recommend you to save the icon positions when you have icons positioned as you want. Then you can restore the icon positions after any accidental rearranging.

To save the desktop icon positions:
Click [image] Save Desktop Icon Positions on the toolbar

To restore the desktop icon positions:
Click [image] Restore Desktop Icon Positions on the toolbar


Saving and Copying Icon

To save an icon as a separate .ico file:

Click the desired icon in the Icon Pane (you can use the Favorite Icons too).

  1. Click the Save Icon... button on the toolbar
  2. Double-click the folder you want to save the icon in.
  3. In the File name box, type a name for the icon.

To copy an icon image to the clipbord:

  1. Click the desired icon in the Icon Pane (you can use the Favorite Icons too).
  2. Click the Copy Icon [image] button on the toolbar.


How To Delete Icons

How To Delete Icons From View

You can remove icon(s) from the Icon pane. The icon is not removed from your hard disk, it is excluded from the list of icons.

To delete the icon(s):

  1. Select one or more icons.
  2. Press DELETE key or choose [image] [Delete Icon(s) from View] from the context menu.

Tip

You can remove icons from the Favorite Icons pane too.


Search Filter

You can choose the search filter to search icons only in the certain files.

To change the search filter:

  1. Click the Options [image] button on the toolbar.
  2. Open the Show/Search tab.
  3. Use the Search icons in ... group.
  • Subfolders – recursively searches subfolders of the selected folder.
  • All files - The program searches for icons in ALL files regardless of its extension. Any icon will not leave (but not all files contain icons).
  • Only with given extensions - The program searches for icons in files only with the checked extensions. It allows reducing time of the search but if the icon is in a file with unusual extension, it will not get in the list.
  • All files except with given extension - The program searches for icons in all files excepting the files with the given extensions. For example, you can exclude bmp files because a big picture can look not so well at scaling till the sizes 32 x 32 or 16 x 16 pixels.


Icon Size and Spacing

You can set the size of icons in the list of icons. The modification of these sizes doesn't change the sizes of icons in Windows. Certainly, you can use in the Icon pane the same sizes as in Windows.

In the Large Icons mode of the Icon pane, you can set the icon spacing. The zero spacing correspond to the minimally possible distance to provide the densest allocation. However, you can increase the distance or use Windows default.

To change the icon size and spacing:

  1. Click the Options [image] button on the toolbar.
  2. Open the Size/Spacing tab.


Browse for files with icons

Browse For Icon Files

IconChanger helps you browse for icons by displaying only those files, which pass through the file filter (see below). The Folder pane on the left displays a tree view of all drives and folders available from your system. The File pane on the right-top displays the contents of the folder pane selection. Click the Show/Hide File Pane [image] or Show/Hide Folder Pane [image] buttons on the toolbar if you want to see the File or Folder pane.

  • Click on the plus signs (+) in the Folder pane to expand objects beneath.
  • Click on any drive or folder in the Folder pane to view its contents.
  • Double-click on any drive or folder in the File pane to view its contents.
  • Click on the Up One Level [image] toolbar button on the toolbar to move up one level.

Related Topic

  • File filter

Tip

  • Select [View|File Pane| [image] Report] from the menu to see how many icons are in each file. In the Show all files in file list mode, IconChanger doesn't check files on the presence of icons so their quantity is not shown. You can use also the toolbar button File pane views [image] to switch to the Report mode.


Filter For Icon Files

Depending on your preferences, you can choose the file filter to display in the File pane only the certain files. File pane is an optional pane of IconChanger. Click the Show/Hide File Pane [image] button on the toolbar if you want to see the File pane.

To change the file filter:

  1. Click the Options [image] button on the toolbar.
  2. Open the Show/Search tab.
  3. Use the Show in file list group.
  • Folders - Includes or excludes folders in the File Pane.
  • All files with icons - While opening a folder, the program will scan all files for icons, regardless of their extensions. The files containing icons will be included only. In this case, any file with icons will not leave, but additional time is required. It becomes appreciable on a folder that has hundreds of files.
  • All files - The program shows ALL files regardless of the presence of icons.
  • Icon files only with given extensions - While opening a folder, only the files with the checked extensions will be scanned for icons. Such files contain icons more often than other files. The files with other extensions will not be considered. Opening occurs faster, but some files containing icons will not appear in the list if they have other extension.
  • Icon files except with given extensions - While opening a folder, the program will scan all files for icons, except for files with the checked extensions. For example, you can exclude bmp files because a big picture can look not so well at scaling till the sizes 32 x 32 or 16 x 16 pixels.


View Icons in Files

To view icons in a file:

  1. Using the Folder pane of IconChanger, navigate to and select the drive or folder you want to browse. You should change the file filter if you don't see the file in the Folder pane. The better modes are All files or All files with icons.
  2. Click the file. Icons will appear in the Icon pane of IconChanger.

Tip

Drag attractive icons from the Icon Pane to the Favorite Icons pane so you can have quick and easy access to them later.


How to Change the Way Files Are Sorted

You can specify the criterion of sorting of files in the File pane, and the direction (forward / backward) of the sort. File pane is an optional pane of IconChanger. Click the Show/Hide File Pane [image] button on the toolbar if you want to see the File pane.

In the Report view mode, you can sort the file of a particular column by clicking on the corresponding header button above the File pane. Clicking on the same column repeatedly will alternate between forward and reverse sorting.

You can also select the desired sort method from the [View|Arrange Files] menu.
You can use the File Arranging Modes button on the toolbar for selecting the sort method:

- sorting by file names.
- sorting by file types.
- sorting according the number of icons in a file.

You can click with the right mouse button on the background of the File pane to bring up a context menu. From here, select the desired sort method from the [Arrange Files] sub-menu.


Where to Start

You can choose icons, which IconChanger displays at start.

To change the start setting:

  1. Click the Options [image] button on the toolbar.
  2. Use the Start/Integration tab.

  • Current icon location - at start, IconChanger shows the file containing the icon that at present displays the chosen object. If the multiple objects are chosen, the program opens the file with the icon for the first chosen object.
  • Last used folder - starts the program in the folder last accessed from the previous session. This option takes effect only when the File pane or Folder pane is shown.
  • Last selected icon - starts IconChanger to show the icon last accessed from the previous session.
  • First fixed disk - starts the program in the first fixed disk (usually C:). This option takes effect only when the File pane or Folder pane is shown.


Icon Location

IconChanger can show a file containing the icon, which at present displays the chosen object.

Just click [image] Show Icon Location on the toolbar

In some cases, this function can be inaccessible (for example if some files with different icons are chosen).


Contact Shell Labs

The latest version of IconChanger can be downloaded from our web site.
You can register your copy on-line using the credit card.

http://www.shelllabs.com

Feel free to contact us on any problem using this program; we will be happy to serve you. If you have suggestions of the program improvements that could add the program more functionality - please drop us a message, we will consider it.

Email: support@shelllabs.com


How to Order

How to Order IconChanger

IconChanger costs $19.95. CD-ROM version is available (+$9.95 extra fee).

The evaluation version of IconChanger can change no more than 3 icons and is limited to finding a maximum of 3000 icons, however, with the registered version of this software you can change and find an unlimited number of icons.

On-line registration
You can register your copy on-line using the credit card.

http://www.shelllabs.com/order.htm

Your registration key will be delivered by e-mail in 2 working days.
To enter registration code, choose [Tools| [image] Enter Registration Code] from the menu. The program will prompt you for the registration name and code. Please use cut-n-paste to enter your name and code. You can paste name and code using "Paste" from the right-click menu or using the keystroke Ctrl+V.

Notes

  • The name and code are case-sensitive.
  • The registration code is unique. Keep it private and don't share with others.

Off-line registration
For off-line payments, please print out the order form ORDER.TXT supplied with the software. Fill it out completely and fax or mail it to:

share-it!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29
E-Mail: support@shareit.com

US and Canadian customers may also order by calling toll free 1-800-903-4152 (only orders, please!).

US check and cash orders can be sent to US office at

ShareIt! Inc.
P.O. Box 844
Greensburg, PA 15601, USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187


How To Enter Registration Code

To enter registration code, choose [Tools| [image] Enter Registration Code] from the menu. The program will prompt you for the registration name and code. Please use cut-n-paste to enter your name and code. You can paste name and code using "Paste" from the right-click menu or using the keystroke Ctrl+V.

1. Open the email message with your registration code and find your code:

1. Copy and paste your registration name.
To highlight the registration name move the pointer to the beginning of your registration name. The pointer will change to an image that resembles an upper case I. Hold down your left mouse button as you drag your mouse over your name. The block of text will change color as you drag. Release the mouse button. You will see the selected text highlighted like this: OR ( The text will become highlighted.)

After the registration name is selected or highlighted, position your cursor over the selected section. Click the right mouse button. A menu will appear near your cursor. Select Copy from this menu.

Switch to IconChanger and choose [Tools| [image] Enter Registration Code] from the menu.

Position your cursor over the "registration name" field. Click the right mouse button. A menu will appear near your cursor. Select Paste from this menu. The copied text will appear.

2. Copy and paste your registration code.

Now do the same with your registration code. First highlight the code, then use right-click and Copy to copy the code, then paste it into the "registration code" field with right-click and Paste.

3. Click 'OK'.

Notes

  • The name and code are case-sensitive.
  • The registration code is unique. Keep it private and don't share with others.


Icon Links

The hard disk of a modern computer usually contains thousands of various icons. In most cases, you can find a suitable icon for your needs amongst them. However, there are those instances when just any old icon will do. In this case, you have 2 options:
1) You can try to build your own icons and .ico files, or.....
2) You can extremely increase your number of accessible icons by visiting the giant icon archives available on the internet and downloading the icons that fit your needs.

Visit our icon links page.


How to launch IconChanger for required object

How To Launch IconChanger For Required Object(s).

To launch the program, right click on an object whose icon you want to change. If its icon can be customized by IconChanger, you will see the Change Icon... item in the context menu.

Select Change Icon…

You can assign or reset icons for multiple objects at once. To set/reset an icon for a file type, you can launch IconChanger for any file of the desired type.


User Interface

Toolbar buttons description

Toolbar contains following buttons:
- sets the icon selected in the Icon pane to the object selected in the Object box,
- starts the search for icons in the folder selected in the Folder pane. While search is in progress, this button substituted by [image] button.
- restores the icon for the object selected in the Object box,
- customizes system icons
- customizes the file type's icon,
- adds the icon to Favorite icons pane,
- brings up Options dialog box, where you can customize IconChanger,
- brings up the help window,
- rebuilds icon cache
- removes icon cache
- cancels all icon changes
- shows the icon location
- saves the current desktop icon positions,
- restores the desktop icon postions,
- saves selected icon as .ico file,
- copies icon image to the clipboard,
- shows or hides the Folder Pane,
- shows or hides the File Pane,
- shows or hides the Favorite Icons,
- displays the folder one level up in the Folder pane,
- changes the view of the File pane,
- changes the view of the Icon pane,
- changes the arranging mode in the File pane,
- show the folder tree for searching.